#!/bin/sh

if [ -x "/etc/init.d/powernowd.early" ]; then
	update-rc.d powernowd.early start 10 2 . >/dev/null
	if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
		invoke-rc.d powernowd.early start || exit 0
	else
		/etc/init.d/powernowd.early start || exit 0
	fi
fi

# Remove shutdown and reboot links; this init script does not need them.
if dpkg --compare-versions "$2" lt "0.97-1ubuntu2"; then
	rm -f /etc/rc0.d/K20powernowd /etc/rc6.d/K20powernowd
fi

## Automatically added by dh_installinit
if [ -x "/etc/init.d/powernowd" ]; then
	update-rc.d powernowd multiuser >/dev/null
	if [ -x "`which invoke-rc.d 2>/dev/null`" ]; then
		invoke-rc.d powernowd start || exit $?
	else
		/etc/init.d/powernowd start || exit $?
	fi
fi
# End automatically added section
#
